## intervalstorej 1.2%2Bdfsg

=== debian/changelog ===
intervalstorej (1.2+dfsg-5) unstable; urgency=medium

  * Raising Standards version to 4.6.1 (no change)
  * Deactivating tests that try to access security sensitive fields, which is
    forbidden since the JDK-8210522 issue on OpenJDK. (Closes: #1012098)

 -- Pierre Gruet <pgt@debian.org>  Fri, 04 Nov 2022 14:16:33 +0100

intervalstorej (1.2+dfsg-4) unstable; urgency=medium

  * Updating d/watch for Github new release/tag page
  * Setting Standards version to 4.6.0 (no change)
  * Marking the package as Multi-Arch: foreign

 -- Pierre Gruet <pgt@debian.org>  Mon, 20 Dec 2021 11:24:10 +0100

intervalstorej (1.2+dfsg-3) unstable; urgency=medium

  * Correcting classpath in autopkgtest
  * Bumping Standards version to 4.5.1 (no changes needed)

 -- Pierre Gruet <pgtdebian@free.fr>  Sun, 22 Nov 2020 15:22:31 +0100

intervalstorej (1.2+dfsg-2) unstable; urgency=medium

  * Source-only upload

 -- Pierre Gruet <pgtdebian@free.fr>  Sun, 22 Nov 2020 07:39:42 +0100

intervalstorej (1.2+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #974879)

 -- Pierre Gruet <pgtdebian@free.fr>  Sun, 15 Nov 2020 23:06:45 +0100
