## intervalstorej 1.2+dfsg

=== debian/control ===
Source: intervalstorej
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Pierre Gruet <pgt@debian.org>
Build-Depends: debhelper-compat (= 13),
               default-jdk-headless,
               javahelper,
               maven-repo-helper,
               testng <!nocheck>,
               libjcommander-java <!nocheck>,
               unzip <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/java-team/intervalstorej
Vcs-Git: https://salsa.debian.org/java-team/intervalstorej.git
Homepage: https://github.com/bartongroup/IntervalStoreJ
Rules-Requires-Root: no

Package: libintervalstorej-java
Architecture: all
Depends: ${misc:Depends},
         ${java:Depends}
Multi-Arch: foreign
Description: Java implementation of the Nested Containment List data structure
 NCList provides efficient lookup of intervals overlapping a given range in
 time O(M log N) where N is the number of intervals stored, and M the number
 of overlaps found.
 .
 IntervalStore:
  - is parameterised by <T extends IntervalI>;
  - so can store any Java type that implements IntervalI, that is, has methods
  getBegin() and getEnd() (where begin <= end);
  - extends java.util.AbstractCollection<T>;
  - may be referred to as Collection<T> in code;
  - exposes methods for add, contains, remove, iterator, size etc;
  - has a 'bulk load' constructor, and methods to add or remove entries, while
  retaining lookup efficiency;
  - optimises storage and search of sparsely nested intervals by storing
  non-nested intervals separately;
  - incorporates NCList to store any properly nested intervals.
